<?php
$title = 'Новая тема';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
echo '<div class="title">Новая тема</div>';
if (isset($_POST['submit'])) {
$error = '';
if (empty($_POST['name'])) {
$error.= 'Введите название темы!<br/>';
}
elseif (mb_strlen($_POST['name']) < 5 or mb_strlen($_POST['name']) > 30) {
$error.= 'Название темы должно содержать от 5 до 30 символов!<br/>';
}
if (empty($_POST['text'])) {
$error.= 'Введите текст сообщения!<br/>';
}
elseif (mb_strlen($_POST['text']) < 5 or mb_strlen($_POST['text']) > 1000) {
$error.= 'Текст сообщения должен содержать от 5 до 1000 символов!<br/>';
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
} else {
$stmt1 = $connect->prepare("insert into `topic` set `name` = ?, `time` = ?, `uid` = ?");
$stmt1->execute(array($_POST['name'], time(), $user['id']));
$tid = $connect->LastInsertId();
$stmt2 = $connect->prepare("insert into `post` set `user` = ?, `date` = ?, `text` = ?, `tid` = ?");
$stmt2->execute(array($user['login'], time(), $_POST['text'], $tid));
header('location: /cab/forum/topic/'.$tid);
}
}
echo '<div class="menu"><form action="" method="post">Название:<br/><input type="text" name="name"><br/>Сообщение:<br/><textarea name="text"></textarea><br/><input type="submit" name="submit" value="Создать"></form></div>';
} else {
echo '<div class="title">Вы не авторизированы</div><div class="menu">Для просмотра данной страницы вам необходимо выполнить следующие действия:<br/><a href="/">Авторизация</a> или <a href="/reg">Регистрация</a></div>';
}
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>